Index: cpukit/libmisc/monitor/mon-command.c
===================================================================
--- cpukit/libmisc/monitor/mon-command.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-command.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -9,5 +9,5 @@
 #include <rtems.h>
 
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-config.c
===================================================================
--- cpukit/libmisc/monitor/mon-config.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-config.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -10,5 +10,5 @@
 #define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-dname.c
===================================================================
--- cpukit/libmisc/monitor/mon-dname.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-dname.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -23,5 +23,5 @@
 #include <rtems.h>
 
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-driver.c
===================================================================
--- cpukit/libmisc/monitor/mon-driver.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-driver.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -23,5 +23,5 @@
 #include <rtems.h>
 
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-extension.c
===================================================================
--- cpukit/libmisc/monitor/mon-extension.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-extension.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -6,5 +6,5 @@
 
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-itask.c
===================================================================
--- cpukit/libmisc/monitor/mon-itask.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-itask.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -7,5 +7,5 @@
 #define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-manager.c
===================================================================
--- cpukit/libmisc/monitor/mon-manager.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-manager.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -7,9 +7,7 @@
 
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
-
-#include <monitor.h>
 
 /*
Index: cpukit/libmisc/monitor/mon-monitor.c
===================================================================
--- cpukit/libmisc/monitor/mon-monitor.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-monitor.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -30,5 +30,5 @@
 #include <unistd.h>
 
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 /* set by trap handler */
Index: cpukit/libmisc/monitor/mon-mpci.c
===================================================================
--- cpukit/libmisc/monitor/mon-mpci.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-mpci.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -10,5 +10,5 @@
 #define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-object.c
===================================================================
--- cpukit/libmisc/monitor/mon-object.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-object.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -18,11 +18,9 @@
 #define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
 #include <stdlib.h>             /* strtoul() */
 #include <string.h>             /* memcpy() */
-
-#include <monitor.h>
 
 #define NUMELEMS(arr)	(sizeof(arr) / sizeof(arr[0]))
Index: cpukit/libmisc/monitor/mon-prmisc.c
===================================================================
--- cpukit/libmisc/monitor/mon-prmisc.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-prmisc.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -9,5 +9,5 @@
 
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <rtems/assoc.h>
Index: cpukit/libmisc/monitor/mon-queue.c
===================================================================
--- cpukit/libmisc/monitor/mon-queue.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-queue.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -4,5 +4,5 @@
 
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/mon-server.c
===================================================================
--- cpukit/libmisc/monitor/mon-server.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-server.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -13,5 +13,5 @@
 #include <unistd.h>
 
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 /*
Index: cpukit/libmisc/monitor/mon-symbols.c
===================================================================
--- cpukit/libmisc/monitor/mon-symbols.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-symbols.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -18,6 +18,6 @@
 #include <string.h>
 
-#include "monitor.h"
-#include "symbols.h"
+#include <rtems/monitor.h>
+#include <rtems/symbols.h>
 
 
Index: cpukit/libmisc/monitor/mon-task.c
===================================================================
--- cpukit/libmisc/monitor/mon-task.c	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/mon-task.c	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -6,5 +6,5 @@
 
 #include <rtems.h>
-#include "monitor.h"
+#include <rtems/monitor.h>
 
 #include <stdio.h>
Index: cpukit/libmisc/monitor/monitor.h
===================================================================
--- cpukit/libmisc/monitor/monitor.h	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/monitor.h	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -13,5 +13,5 @@
 #define __MONITOR_H
 
-#include "symbols.h"
+#include <rtems/symbols.h>
 #include <rtems/error.h>		/* rtems_error() */
 
Index: cpukit/libmisc/monitor/symbols.h
===================================================================
--- cpukit/libmisc/monitor/symbols.h	(revision a72e3dd1cb5ab971c874238f92ef3cab1dbc5778)
+++ cpukit/libmisc/monitor/symbols.h	(revision 5beb5624503e6141a30e589da8a2fd24fc33f483)
@@ -32,10 +32,8 @@
 typedef struct {
 
-    rtems_unsigned32 sorted;            /* are symbols sorted right now? */
-
-    rtems_unsigned32 growth_factor;     /* % to grow by when needed */
-
-    rtems_unsigned32 next;              /* next symbol slot to use when adding */
-    rtems_unsigned32 size;              /* max # of symbols */
+    rtems_unsigned32 sorted;          /* are symbols sorted right now? */
+    rtems_unsigned32 growth_factor;   /* % to grow by when needed */
+    rtems_unsigned32 next;            /* next symbol slot to use when adding */
+    rtems_unsigned32 size;            /* max # of symbols */
 
     /*
